{% extends 'general/base.html.twig' %}

{% block stylesheets %}{{parent()}}{% endblock %}
{% block title %}{{parent()}}Posts{% endblock %}
{% block layoutTitle %}{{parent()}}- Posts{% endblock %}

{% block body %}

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Author</th>
                <th>LastUpdate</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        {% for post in posts %}
            <tr>
                <td>{{ post.id }}</td>
                <td><a href="{{path('posts_post_show', {'id':post.id}) }}"  style="color:red">{{ post.title }}</a></td>
                <td>{{ post.author }}</td>
                <td>{{ post.lastUpdate ? post.lastUpdate|date('Y-m-d H:i:s') : '' }}</td>
                {% if is_granted('POST_EDIT', post) %}
                    <td><a class="badge badge-danger" href="{{ path('posts_post_edit', {'id':post.id}) }}"  style="color:antiquewhite">edit</a></td>
                {% endif %}
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% if is_granted('POST_CREATE', bpost) %}
        <a class="btn btn-danger" href="{{ path('posts_post_new') }}">Create new</a>
    {% endif %}
{% endblock %}
